LINUX.ORG.RU

Re: где в FC2 находится установленная ОО

Эээ...

У тебя в FC KDE стоит в /opt ?

А офис обычно в /usr/lib/openoffice

О каком ускорении ты говоришь? OpenOffice QuickStarter что ли?

Demetrio ★★★★★ ()
Ответ на: Re: где в FC2 находится установленная ОО от Demetrio

Re: Re: где в FC2 находится установленная ОО

у меня тама есть только ооо-1.1 это и есто он?

а статья вот она

Кому необходимо: как сделать быстрый старт OpenOffice и немного KDE :) Это перепечатка моего сообщения из комментария к новостям, с небольшими дополнениями. Рад буду услышать отзывы, кому это помогло или не помогло :-|

Итак, что нужно сделать, чтобы ваш OpenOffice стартовал быстро, а заодно и KDE, без всяких левых приложений типа oooqstart (которые к тому же не всегда работают). Имеем: CPU: AMD Athlon 850@892, RAM: 256Mb Slackware 9.1+current, Linux 2.6.6 OpenOffice 1.1.1, установленный в /opt/openoffice

С приведенными ниже настройками OpenOffice старутет меньше чем за 2 секунды.

Создаем /opt/openoffice/ooqs.sh: #!/bin/sh cd /opt/openoffice while true; do /opt/openoffice/soffice -quickstart -plugin sleep 5 done

Создаем /opt/openoffice/oostart.sh: #!/bin/sh if [ "`ps ax|grep ooqs.sh|grep -v grep`" == "" ]; then /opt/openoffice/ooqs.sh & fi /opt/openoffice/soffice $@

Модифицируем /opt/kde/bin/startkde (не обязательно, но killall стоит добавить на выходе и X, не важно KDE у вас или нет): #!/bin/sh trap 'echo GOT SIGHUP' HUP

kdeinit_shutdown dcopserver_shutdown

xsetroot -cursor_name left_ptr -solid black

LD_BIND_NOW=true kdeinit +kcminit +knotify if test $? -ne 0; then echo 'startkde: Could not start kdeinit. Check your installation.' 1>&2 xmessage -geometry 500x100 "Could not start kdeinit. Check your installation." fi

test -n "$KDEWM" && KDEWM="--windowmanager $KDEWM" kwrapper ksmserver $KDEWM if test $? -eq 255; then echo 'startkde: Could not start ksmserver. Check your installation.' 1>&2 xmessage -geometry 500x100 "Could not start ksmserver. Check your installation." fi

killall ooqs.sh kdeinit_shutdown dcopserver_shutdown

Обратите внимание на строчку killall ooqs.sh :)

Минусы этого решения: 1. Такой скрипт startkde применим только если вы постоянно работаете в KDE одним и тем же пользователем и первый старт KDE вы делали обычным пользователем, принципиально для OpenOffice нет разницы будет использоваться этот модифицированный скрипт или нет. 2. Почему то закрытие последнего окна OpenOffice происходит медленнее, чем раньше (задержка в пару сек).

Для ускорения KDE можно попробовать сделать следующее (у меня работает, тут уже серьезной работы не было): из /opt/kde/bin переместить в резерв: kaccess kbuildsycoca kcminit kdesktop kdesktop_lock khotkeys из /opt/kde/lib переместить в резерв: libkdeinit_kbuildsycoca.la libkdeinit_kcminit.so libkdeinit_khotkeys.la libkdeinit_kaccess.la libkdeinit_kbuildsycoca.so libkdeinit_kdesktop.la libkdeinit_khotkeys.so libkdeinit_kaccess.so libkdeinit_kcminit.la libkdeinit_kdesktop.so из /opt/kde/lib/kde3 переместить в резерв: kaccess.la kcminit.la kdesktop.la khotkeys.la knotify.la kaccess.so kcminit.so kdesktop.so khotkeys.so knotify.so

Внимание: перемещение *kdesktop* отключит рабочий стол (мне он не нужен), перемещение *khotkeys* отключит в первую очередь запуск команд по Alt-F2 (я думаю, что для запуска команд хватит konsole или rxvt или своего приложения на базе обычного hotkeys, который памяти потребляет меньше). Также см. выше скрипт startkde, очищенный от ненужных вещей.

Рекомендуется сделать символическую ссылку /usr/X11R6/lib/X11/xinit/xinitrc на /opt/kde/bin/startkde, исходный xinitrc.kde для современной системы мало полезного имеет, при желании смотрите используете вы Xresources или нет (я - нет, хватает ~/.Xdefaults).

При необходимости, шрифты от KDE прописать в каталог шрифтов /usr/X11R6/lib/fonts/misc (там пара unicode шрифтов fixed), поскольку очистка startkde для меня в первую очередь сказалась в этом.

P.S. Надеюсь кому то поможет. P.P.S. Если вы редко разрабатываете программы и не используете большую часть времени свой компьютер как сервер остановите всякие acpid, crond, atd, sshd, а также отключите ldconfig в стартовых скриптах. P.P.P.S. Не забудьте сделать резервную копию всех изменений, Удачи :)

anonymous ()
Ответ на: Re: Re: где в FC2 находится установленная ОО от anonymous

Re: Re: Re: где в FC2 находится установленная ОО

Дабы не перемещать ничего (точнее оставить большую часть на своих местах) попробуй зайти в сервисы КДЕ в центре управления и просто отрубить их (мультимедийные клавиши, значки, запуск kwrite, kalarm...).

Что касается твоего скрипта - что-то такое я уже видел. Все хорошо, кроме одной вещи: в приложениях на motif у тебя мышь будет отображаться иксовым крестом, а также (не помню уже точно) в приложениях gtk1.

Если ты отключишь crond, твой каталог temp и логи забьют винт. Вот atd (если не используешь его как будильник), sshd можно вырубить.

Что касается acpid - не нужно его трогать. А то по кнопочке power или еще какой ты, например, просто вырубишь тачку вместо корректного гашения (и т.п.)

Что cron, что acpid почти ничего не кушают.

P.S. Хочется узнать, где ты нашел ldconfig в стартовых скриптах? Может пора сменить дистрибутив?

jackill ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.